Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jetty.security
Class RoleRunAsToken

    java.lang.Object
      org.eclipse.jetty.security.RoleRunAsToken

All Implemented Interfaces:
  RunAsToken

    public class RoleRunAsToken

extends java.lang.Object
implements RunAsToken

Version:
  $Rev: 4701 $ $Date: 2009-03-03 13:01:26 +0100 (Tue, 03 Mar 2009) $

Constructor Summary
`RoleRunAsToken(java.lang.String runAsRole)`

Method Summary
`java.lang.String` | `getRunAsRole()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RoleRunAsToken

    public RoleRunAsToken(java.lang.String runAsRole)

Method Detail

### getRunAsRole

    public java.lang.String getRunAsRole()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.